#!/usr/local/bin/perl -w

=head1 NAME

00revs.t - testing of VCP::Revs

=cut

use strict ;

use Carp ;
use Test ;
use VCP::Rev;
use VCP::Revs;

## TODO: Add lots of tests to 00revs.t

my $b ;

my @tests = (
sub { $b = VCP::Revs->new ; ok( ref $b, "VCP::Revs" ) },

sub { ok 0+$b->get, 0 },

sub {
   $b->add( VCP::Rev->new( name => "foo", rev_id => 1 ) );
   ok 0+$b->get, 1;
},

sub {
   eval { $b->add( VCP::Rev->new( name => "foo", rev_id => 1 ) ) };
   $@ =~ /twice/ ? ok $@, $@ : ok $@, "exception containing /twice/";
},

sub {
   $b->add( VCP::Rev->new( name => "foo", rev_id => 2 ) );
   ok 0+$b->get, 2;
},

) ;

plan tests => scalar( @tests ) ;

$_->() for @tests ;
